
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/runtime.baseline.pt-BR.b2079450eaec440c09b2.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/960.baseline.pt-BR.87d2de4d3b2619781cd9.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/462.baseline.pt-BR.86b3906e181c19a65ccd.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/706.baseline.pt-BR.feffb681872bbcd5aa94.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/app.baseline.pt-BR.d3f3e2c67cb59fc6b6d7.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/751.baseline.pt-BR.3248b1ea37c8c8287656.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/836.baseline.pt-BR.5089c4b81144a409042b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/172.baseline.pt-BR.64de56fbe330d69414ed.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/100.baseline.pt-BR.aaf5a5941b77953f0095.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/OnePage.baseline.pt-BR.ecd3dd02b4410f5c8b67.js"];
      var styles = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/960.baseline.pt-BR.3b7d1d70411c2da0a2ac.css","https://cdn.shopify.com/shopifycloud/checkout-web/assets/app.baseline.pt-BR.f79e630f70b79519e81e.css","https://cdn.shopify.com/shopifycloud/checkout-web/assets/836.baseline.pt-BR.5c8be743b69bc96dbc9b.css","https://cdn.shopify.com/shopifycloud/checkout-web/assets/268.baseline.pt-BR.93a7c74905e220633b50.css"];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res[0], next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        })();
      }

      function onLoaded() {
        preconnectAssets();
        prefetchAssets();
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  